{
  "name": "upsilon-language-extension",
  "publisher": "Deuk",
  "version": "1.0.0",
  "engines": {
    "vscode": "^1.29.1"
  },
  "activationEvents": [
    "onLanguage:upsilon"
  ],
  "main": "./out/extension",
  "contributes": {
    "languages": [
      {
        "id": "upsilon",
        "aliases": [
          "Upsilon"
        ],
        "configuration": "./language-configuration.json",
        "extensions": [
          ".yup",
          ".lua"
        ]
      }
    ],
    "grammars": [
      {
        "language": "upsilon",
        "scopeName": "source.upsilon",
        "path": "./syntaxes/upsilon.tmLanguage.json"
      }
    ],
    "configuration": {
      "type": "object",
      "title": "Upsilon configuration",
      "properties": {
        "upsilonLanguageServer.maxNumberOfProblems": {
          "type": "number",
          "default": 100,
          "description": "Controls the maximum number of problems produced by the server."
        },
        "upsilonLanguageServer.moduleDirectory": {
          "type": "string",
          "default": "./modules",
          "description": "The relative path from the workspace where the modules can be found."
        }
      }
    }
  },
  "scripts": {
    "vscode:prepublish": "vscode-install && npm run compile",
    "compile": "tsc -b",
    "watch": "tsc -b -w",
    "postinstall": "cd client && npm install && cd ../server && npm install && cd ..",
    "test": "sh ./scripts/e2e.sh"
  },
  "dependencies": {
    "vscode-languageclient": "^4.1.4",
    "vscode": "^1.1.21"
  },
  "devDependencies": {
    "@types/node": "^10.12.10",
    "vscode": "^1.1.21",
    "tslint": "^5.11.0",
    "typescript": "^3.1.3"
  }
}
